Bug 1303985 - AuditMode.NONE does not work properly in business-central
AuditMode.NONE does not work properly in business-central
Status: NEW
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Maciej Swiderski
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 10:50 EST by Anton Giertli
Modified: 2016-02-19 08:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2148211 None None None 2016-02-03 05:11 EST

  None (edit)
Description Anton Giertli 2016-02-02 10:50:03 EST
Description of problem:

When AuditMode for given deployment is set to NONE (vie kie-deployment-descriptor.xml), the execution of a process from this deployment is not behaving properly.

Version-Release number of selected component (if applicable):

BPM Suite 6.2
How reproducible:
always

Steps to Reproduce:
1. Model random process
2. Configure AuditMode to NONE via business-central UI
3. Deploy and run this process

Actual results:
When starting the process, popup window with following message is displayed:
"Unexpected error encountered : null" 

Expected results:
Process execution goes flawlessly even with AuditMode == NONE

Additional info:

1st observation:

When logging was set on DEBUG level on package org.jboss.errai then following message can be observer in server.log
https://gist.github.com/agiertli/dff25e7fb09bb313e5eb

It seems like jbpm-console is trying to fetch process audit data - they are not there because of AuditMode == NONE --> NPE

2nd observation:
AuditTaskImpl and BamTaskSummary tables still includes audit data despite the AuditMode == NONE - this is unexpected.
*Log tables are empty - expected.

3rd observation:
The NPE was visible only on debug level - please don't swallow the exceptions like this. It's very hard to debug messages like : ""Unexpected error encountered : null" " - it would be better to provide stacktrace in this case.

Note You need to log in before you can comment on or make changes to this bug.